## frei0r 1.4

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)

list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)

project (frei0r)
set (VERSION 1.3.0)

option (WITHOUT_OPENCV "Disable plugins dependent upon OpenCV" OFF)
if (NOT WITHOUT_OPENCV)
  find_package (OpenCV)
endif ()

find_package (Cairo)

include(FindPkgConfig)
option (WITHOUT_GAVL "Disable plugins dependent upon gavl" OFF)
if (PKG_CONFIG_FOUND AND NOT WITHOUT_GAVL)
  pkg_check_modules(GAVL gavl)
endif ()

if (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  set(CMAKE_C_COMPILER "clang")
  set(CMAKE_CXX_COMPILER "clang++")
  set(CMAKE_C_FLAGS "-arch x86_64 -arch i386")
  set(CMAKE_CXX_FLAGS "-arch x86_64 -arch i386")
endif ()


include_directories (AFTER include)

if (MSVC)
  include_directories (include/msvc)
endif (MSVC)

if (NOT CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
endif (NOT CMAKE_BUILD_TYPE)

set (LIBDIR lib/frei0r-1)
set (FREI0R_DEF ${CMAKE_SOURCE_DIR}/msvc/frei0r_1_0.def)
set (FREI0R_1_1_DEF ${CMAKE_SOURCE_DIR}/msvc/frei0r_1_1.def)

# --- custom targets: ---
INCLUDE( cmake/modules/TargetDistclean.cmake OPTIONAL)

# See this thread for a ridiculous discussion about the simple question how to install a header file with CMake: http://www.cmake.org/pipermail/cmake/2009-October/032874.html
install (DIRECTORY include DESTINATION . FILES_MATCHING PATTERN "frei0r.h" PATTERN "msvc" EXCLUDE)

add_subdirectory (doc)
add_subdirectory (src)

# Generate frei0r.pc and install it.
set (prefix "${CMAKE_INSTALL_PREFIX}")
set (exec_prefix "${CMAKE_INSTALL_PREFIX}")
set (libdir "${CMAKE_INSTALL_PREFIX}/lib")
set (includedir "${CMAKE_INSTALL_PREFIX}/include")
configure_file ("frei0r.pc.in" "frei0r.pc" @ONLY)
install (FILES "${CMAKE_CURRENT_BINARY_DIR}/frei0r.pc" DESTINATION lib/pkgconfig)

=== src/filter/CMakeLists.txt ===
if (${GAVL_FOUND})
    add_subdirectory (rgbparade)
    add_subdirectory (scale0tilt)
    add_subdirectory (vectorscope)
endif (${GAVL_FOUND})

if (${OpenCV_FOUND})
    add_subdirectory (facebl0r)
    add_subdirectory (facedetect)
endif (${OpenCV_FOUND})

if (${Cairo_FOUND})
  add_subdirectory (cairoimagegrid)
  add_subdirectory (cairogradient)
endif (${Cairo_FOUND})

add_subdirectory (3dflippo)
add_subdirectory (alpha0ps)
add_subdirectory (balanc0r)
add_subdirectory (baltan)
add_subdirectory (bluescreen0r)
add_subdirectory (blur)
add_subdirectory (brightness)
add_subdirectory (bw0r)
add_subdirectory (cartoon)
add_subdirectory (cluster)
add_subdirectory (colgate)
add_subdirectory (coloradj)
add_subdirectory (colordistance)
add_subdirectory (colorize)
add_subdirectory (colorhalftone)
add_subdirectory (colortap)
add_subdirectory (contrast0r)
add_subdirectory (c0rners)
add_subdirectory (curves)
add_subdirectory (d90stairsteppingfix)
add_subdirectory (defish0r)
add_subdirectory (delay0r)
add_subdirectory (delaygrab)
add_subdirectory (denoise)
add_subdirectory (distort0r)
add_subdirectory (dither)
add_subdirectory (edgeglow)
add_subdirectory (emboss)
add_subdirectory (equaliz0r)
add_subdirectory (flippo)
add_subdirectory (gamma)
add_subdirectory (glow)
#add_subdirectory (host_param_test)
add_subdirectory (hueshift0r)
add_subdirectory (invert0r)
add_subdirectory (keyspillm0pup)
add_subdirectory (lenscorrection)
add_subdirectory (letterb0xed)
add_subdirectory (levels)
add_subdirectory (lightgraffiti)
add_subdirectory (luminance)
add_subdirectory (mask0mate)
add_subdirectory (medians)
if (NOT ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  # clang 3.1 on OSX fails to compile this one
  add_subdirectory (measure)
endif ()
add_subdirectory (nervous)
add_subdirectory (nosync0r)
add_subdirectory (perspective)
add_subdirectory (pixeliz0r)
add_subdirectory (posterize)
add_subdirectory (primaries)
add_subdirectory (RGB)
add_subdirectory (rgbnoise)
add_subdirectory (saturat0r)
add_subdirectory (scanline0r)
add_subdirectory (select0r)
add_subdirectory (sharpness)
add_subdirectory (sigmoidaltransfer)
add_subdirectory (sobel)
add_subdirectory (softglow)
add_subdirectory (sopsat)
add_subdirectory (spillsupress)
add_subdirectory (squareblur)
add_subdirectory (tehroxx0r)
add_subdirectory (three_point_balance)
add_subdirectory (threelay0r)
add_subdirectory (threshold0r)
add_subdirectory (timeout)
add_subdirectory (tint0r)
add_subdirectory (transparency)
add_subdirectory (tutorial)
add_subdirectory (twolay0r)
add_subdirectory (vertigo)
add_subdirectory (vignette)

=== src/filter/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /opt/local/bin/cmake

# The command to remove a file.
RM = /opt/local/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /opt/local/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /Users/jaromil/devel/frei0r

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /Users/jaromil/devel/frei0r

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/opt/local/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/opt/local/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/opt/local/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/opt/local/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/opt/local/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/opt/local/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /Users/jaromil/devel/frei0r && $(CMAKE_COMMAND) -E cmake_progress_start /Users/jaromil/devel/frei0r/CMakeFiles /Users/jaromil/devel/frei0r/src/filter/CMakeFiles/progress.marks
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/jaromil/devel/frei0r/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /Users/jaromil/devel/frei0r && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /Users/jaromil/devel/frei0r && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== src/generator/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /opt/local/bin/cmake

# The command to remove a file.
RM = /opt/local/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /opt/local/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /Users/jaromil/devel/frei0r

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /Users/jaromil/devel/frei0r

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/opt/local/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/opt/local/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/opt/local/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/opt/local/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/opt/local/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/opt/local/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /Users/jaromil/devel/frei0r && $(CMAKE_COMMAND) -E cmake_progress_start /Users/jaromil/devel/frei0r/CMakeFiles /Users/jaromil/devel/frei0r/src/generator/CMakeFiles/progress.marks
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/generator/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/jaromil/devel/frei0r/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/generator/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/generator/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/generator/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /Users/jaromil/devel/frei0r && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /Users/jaromil/devel/frei0r && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== src/mixer2/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /opt/local/bin/cmake

# The command to remove a file.
RM = /opt/local/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /opt/local/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /Users/jaromil/devel/frei0r

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /Users/jaromil/devel/frei0r

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/opt/local/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/opt/local/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/opt/local/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/opt/local/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/opt/local/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/opt/local/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /Users/jaromil/devel/frei0r && $(CMAKE_COMMAND) -E cmake_progress_start /Users/jaromil/devel/frei0r/CMakeFiles /Users/jaromil/devel/frei0r/src/mixer2/CMakeFiles/progress.marks
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/mixer2/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/jaromil/devel/frei0r/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/mixer2/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/mixer2/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/mixer2/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /Users/jaromil/devel/frei0r && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /Users/jaromil/devel/frei0r && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== src/mixer3/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /opt/local/bin/cmake

# The command to remove a file.
RM = /opt/local/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /opt/local/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /Users/jaromil/devel/frei0r

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /Users/jaromil/devel/frei0r

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/opt/local/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/opt/local/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/opt/local/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/opt/local/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/opt/local/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/opt/local/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /Users/jaromil/devel/frei0r && $(CMAKE_COMMAND) -E cmake_progress_start /Users/jaromil/devel/frei0r/CMakeFiles /Users/jaromil/devel/frei0r/src/mixer3/CMakeFiles/progress.marks
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/mixer3/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/jaromil/devel/frei0r/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/mixer3/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/mixer3/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/mixer3/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /Users/jaromil/devel/frei0r && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /Users/jaromil/devel/frei0r && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== src/filter/3dflippo/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /opt/local/bin/cmake

# The command to remove a file.
RM = /opt/local/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /opt/local/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /Users/jaromil/devel/frei0r

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /Users/jaromil/devel/frei0r

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/opt/local/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/opt/local/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/opt/local/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/opt/local/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/opt/local/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/opt/local/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /Users/jaromil/devel/frei0r && $(CMAKE_COMMAND) -E cmake_progress_start /Users/jaromil/devel/frei0r/CMakeFiles /Users/jaromil/devel/frei0r/src/filter/3dflippo/CMakeFiles/progress.marks
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/3dflippo/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/jaromil/devel/frei0r/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/3dflippo/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/3dflippo/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/3dflippo/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /Users/jaromil/devel/frei0r && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/filter/3dflippo/CMakeFiles/3dflippo.dir/rule:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/3dflippo/CMakeFiles/3dflippo.dir/rule
.PHONY : src/filter/3dflippo/CMakeFiles/3dflippo.dir/rule

# Convenience name for target.
3dflippo: src/filter/3dflippo/CMakeFiles/3dflippo.dir/rule
.PHONY : 3dflippo

# fast build rule for target.
3dflippo/fast:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/3dflippo/CMakeFiles/3dflippo.dir/build.make src/filter/3dflippo/CMakeFiles/3dflippo.dir/build
.PHONY : 3dflippo/fast

3dflippo.o: 3dflippo.c.o
.PHONY : 3dflippo.o

# target to build an object file
3dflippo.c.o:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/3dflippo/CMakeFiles/3dflippo.dir/build.make src/filter/3dflippo/CMakeFiles/3dflippo.dir/3dflippo.c.o
.PHONY : 3dflippo.c.o

3dflippo.i: 3dflippo.c.i
.PHONY : 3dflippo.i

# target to preprocess a source file
3dflippo.c.i:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/3dflippo/CMakeFiles/3dflippo.dir/build.make src/filter/3dflippo/CMakeFiles/3dflippo.dir/3dflippo.c.i
.PHONY : 3dflippo.c.i

3dflippo.s: 3dflippo.c.s
.PHONY : 3dflippo.s

# target to generate assembly for a file
3dflippo.c.s:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/3dflippo/CMakeFiles/3dflippo.dir/build.make src/filter/3dflippo/CMakeFiles/3dflippo.dir/3dflippo.c.s
.PHONY : 3dflippo.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... 3dflippo"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... 3dflippo.o"
	@echo "... 3dflippo.i"
	@echo "... 3dflippo.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /Users/jaromil/devel/frei0r && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== src/filter/RGB/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /opt/local/bin/cmake

# The command to remove a file.
RM = /opt/local/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /opt/local/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /Users/jaromil/devel/frei0r

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /Users/jaromil/devel/frei0r

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/opt/local/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/opt/local/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/opt/local/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/opt/local/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/opt/local/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/opt/local/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /Users/jaromil/devel/frei0r && $(CMAKE_COMMAND) -E cmake_progress_start /Users/jaromil/devel/frei0r/CMakeFiles /Users/jaromil/devel/frei0r/src/filter/RGB/CMakeFiles/progress.marks
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/RGB/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/jaromil/devel/frei0r/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/RGB/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/RGB/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/RGB/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /Users/jaromil/devel/frei0r && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/filter/RGB/CMakeFiles/B.dir/rule:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/RGB/CMakeFiles/B.dir/rule
.PHONY : src/filter/RGB/CMakeFiles/B.dir/rule

# Convenience name for target.
B : src/filter/RGB/CMakeFiles/B.dir/rule
.PHONY : B

# fast build rule for target.
B/fast:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/RGB/CMakeFiles/B.dir/build.make src/filter/RGB/CMakeFiles/B.dir/build
.PHONY : B/fast

# Convenience name for target.
src/filter/RGB/CMakeFiles/G.dir/rule:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/RGB/CMakeFiles/G.dir/rule
.PHONY : src/filter/RGB/CMakeFiles/G.dir/rule

# Convenience name for target.
G : src/filter/RGB/CMakeFiles/G.dir/rule
.PHONY : G

# fast build rule for target.
G/fast:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/RGB/CMakeFiles/G.dir/build.make src/filter/RGB/CMakeFiles/G.dir/build
.PHONY : G/fast

# Convenience name for target.
src/filter/RGB/CMakeFiles/R.dir/rule:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/RGB/CMakeFiles/R.dir/rule
.PHONY : src/filter/RGB/CMakeFiles/R.dir/rule

# Convenience name for target.
R : src/filter/RGB/CMakeFiles/R.dir/rule
.PHONY : R

# fast build rule for target.
R/fast:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/RGB/CMakeFiles/R.dir/build.make src/filter/RGB/CMakeFiles/R.dir/build
.PHONY : R/fast

B.o: B.c.o
.PHONY : B.o

# target to build an object file
B.c.o:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/RGB/CMakeFiles/B.dir/build.make src/filter/RGB/CMakeFiles/B.dir/B.c.o
.PHONY : B.c.o

B.i: B.c.i
.PHONY : B.i

# target to preprocess a source file
B.c.i:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/RGB/CMakeFiles/B.dir/build.make src/filter/RGB/CMakeFiles/B.dir/B.c.i
.PHONY : B.c.i

B.s: B.c.s
.PHONY : B.s

# target to generate assembly for a file
B.c.s:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/RGB/CMakeFiles/B.dir/build.make src/filter/RGB/CMakeFiles/B.dir/B.c.s
.PHONY : B.c.s

G.o: G.c.o
.PHONY : G.o

# target to build an object file
G.c.o:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/RGB/CMakeFiles/G.dir/build.make src/filter/RGB/CMakeFiles/G.dir/G.c.o
.PHONY : G.c.o

G.i: G.c.i
.PHONY : G.i

# target to preprocess a source file
G.c.i:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/RGB/CMakeFiles/G.dir/build.make src/filter/RGB/CMakeFiles/G.dir/G.c.i
.PHONY : G.c.i

G.s: G.c.s
.PHONY : G.s

# target to generate assembly for a file
G.c.s:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/RGB/CMakeFiles/G.dir/build.make src/filter/RGB/CMakeFiles/G.dir/G.c.s
.PHONY : G.c.s

R.o: R.c.o
.PHONY : R.o

# target to build an object file
R.c.o:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/RGB/CMakeFiles/R.dir/build.make src/filter/RGB/CMakeFiles/R.dir/R.c.o
.PHONY : R.c.o

R.i: R.c.i
.PHONY : R.i

# target to preprocess a source file
R.c.i:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/RGB/CMakeFiles/R.dir/build.make src/filter/RGB/CMakeFiles/R.dir/R.c.i
.PHONY : R.c.i

R.s: R.c.s
.PHONY : R.s

# target to generate assembly for a file
R.c.s:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/RGB/CMakeFiles/R.dir/build.make src/filter/RGB/CMakeFiles/R.dir/R.c.s
.PHONY : R.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... B"
	@echo "... G"
	@echo "... R"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... B.o"
	@echo "... B.i"
	@echo "... B.s"
	@echo "... G.o"
	@echo "... G.i"
	@echo "... G.s"
	@echo "... R.o"
	@echo "... R.i"
	@echo "... R.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /Users/jaromil/devel/frei0r && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== src/filter/alpha0ps/CMakeLists.txt ===
set (O_SOURCES alpha0ps.c fibe_f.h)
set (G_SOURCES alphagrad.c)
set (S_SOURCES alphaspot.c)

if (MSVC)
  set_source_files_properties (alpha0ps.c alphagrad.c alphaspot.c PROPERTIES LANGUAGE CXX)
  set (O_SOURCES ${O_SOURCES} ${FREI0R_DEF})
  set (G_SOURCES ${G_SOURCES} ${FREI0R_DEF})
  set (S_SOURCES ${S_SOURCES} ${FREI0R_DEF})
endif (MSVC)

add_library (alpha0ps MODULE ${O_SOURCES})
add_library (alphagrad MODULE ${G_SOURCES})
add_library (alphaspot MODULE ${S_SOURCES})

set_target_properties (alpha0ps PROPERTIES PREFIX "")
set_target_properties (alphagrad PROPERTIES PREFIX "")
set_target_properties (alphaspot PROPERTIES PREFIX "")

install (TARGETS alpha0ps LIBRARY DESTINATION ${LIBDIR})
install (TARGETS alphagrad LIBRARY DESTINATION ${LIBDIR})
install (TARGETS alphaspot LIBRARY DESTINATION ${LIBDIR})

=== src/filter/alpha0ps/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /opt/local/bin/cmake

# The command to remove a file.
RM = /opt/local/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /opt/local/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /Users/jaromil/devel/frei0r

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /Users/jaromil/devel/frei0r

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/opt/local/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/opt/local/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/opt/local/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/opt/local/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/opt/local/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/opt/local/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /Users/jaromil/devel/frei0r && $(CMAKE_COMMAND) -E cmake_progress_start /Users/jaromil/devel/frei0r/CMakeFiles /Users/jaromil/devel/frei0r/src/filter/alpha0ps/CMakeFiles/progress.marks
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/alpha0ps/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/jaromil/devel/frei0r/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/alpha0ps/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/alpha0ps/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/alpha0ps/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /Users/jaromil/devel/frei0r && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/filter/alpha0ps/CMakeFiles/alpha0ps.dir/rule:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/alpha0ps/CMakeFiles/alpha0ps.dir/rule
.PHONY : src/filter/alpha0ps/CMakeFiles/alpha0ps.dir/rule

# Convenience name for target.
alpha0ps: src/filter/alpha0ps/CMakeFiles/alpha0ps.dir/rule
.PHONY : alpha0ps

# fast build rule for target.
alpha0ps/fast:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/alpha0ps/CMakeFiles/alpha0ps.dir/build.make src/filter/alpha0ps/CMakeFiles/alpha0ps.dir/build
.PHONY : alpha0ps/fast

# Convenience name for target.
src/filter/alpha0ps/CMakeFiles/alphagrad.dir/rule:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/alpha0ps/CMakeFiles/alphagrad.dir/rule
.PHONY : src/filter/alpha0ps/CMakeFiles/alphagrad.dir/rule

# Convenience name for target.
alphagrad: src/filter/alpha0ps/CMakeFiles/alphagrad.dir/rule
.PHONY : alphagrad

# fast build rule for target.
alphagrad/fast:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/alpha0ps/CMakeFiles/alphagrad.dir/build.make src/filter/alpha0ps/CMakeFiles/alphagrad.dir/build
.PHONY : alphagrad/fast

# Convenience name for target.
src/filter/alpha0ps/CMakeFiles/alphaspot.dir/rule:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/alpha0ps/CMakeFiles/alphaspot.dir/rule
.PHONY : src/filter/alpha0ps/CMakeFiles/alphaspot.dir/rule

# Convenience name for target.
alphaspot: src/filter/alpha0ps/CMakeFiles/alphaspot.dir/rule
.PHONY : alphaspot

# fast build rule for target.
alphaspot/fast:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/alpha0ps/CMakeFiles/alphaspot.dir/build.make src/filter/alpha0ps/CMakeFiles/alphaspot.dir/build
.PHONY : alphaspot/fast

alpha0ps.o: alpha0ps.c.o
.PHONY : alpha0ps.o

# target to build an object file
alpha0ps.c.o:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/alpha0ps/CMakeFiles/alpha0ps.dir/build.make src/filter/alpha0ps/CMakeFiles/alpha0ps.dir/alpha0ps.c.o
.PHONY : alpha0ps.c.o

alpha0ps.i: alpha0ps.c.i
.PHONY : alpha0ps.i

# target to preprocess a source file
alpha0ps.c.i:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/alpha0ps/CMakeFiles/alpha0ps.dir/build.make src/filter/alpha0ps/CMakeFiles/alpha0ps.dir/alpha0ps.c.i
.PHONY : alpha0ps.c.i

alpha0ps.s: alpha0ps.c.s
.PHONY : alpha0ps.s

# target to generate assembly for a file
alpha0ps.c.s:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/alpha0ps/CMakeFiles/alpha0ps.dir/build.make src/filter/alpha0ps/CMakeFiles/alpha0ps.dir/alpha0ps.c.s
.PHONY : alpha0ps.c.s

alphagrad.o: alphagrad.c.o
.PHONY : alphagrad.o

# target to build an object file
alphagrad.c.o:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/alpha0ps/CMakeFiles/alphagrad.dir/build.make src/filter/alpha0ps/CMakeFiles/alphagrad.dir/alphagrad.c.o
.PHONY : alphagrad.c.o

alphagrad.i: alphagrad.c.i
.PHONY : alphagrad.i

# target to preprocess a source file
alphagrad.c.i:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/alpha0ps/CMakeFiles/alphagrad.dir/build.make src/filter/alpha0ps/CMakeFiles/alphagrad.dir/alphagrad.c.i
.PHONY : alphagrad.c.i

alphagrad.s: alphagrad.c.s
.PHONY : alphagrad.s

# target to generate assembly for a file
alphagrad.c.s:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/alpha0ps/CMakeFiles/alphagrad.dir/build.make src/filter/alpha0ps/CMakeFiles/alphagrad.dir/alphagrad.c.s
.PHONY : alphagrad.c.s

alphaspot.o: alphaspot.c.o
.PHONY : alphaspot.o

# target to build an object file
alphaspot.c.o:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/alpha0ps/CMakeFiles/alphaspot.dir/build.make src/filter/alpha0ps/CMakeFiles/alphaspot.dir/alphaspot.c.o
.PHONY : alphaspot.c.o

alphaspot.i: alphaspot.c.i
.PHONY : alphaspot.i

# target to preprocess a source file
alphaspot.c.i:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/alpha0ps/CMakeFiles/alphaspot.dir/build.make src/filter/alpha0ps/CMakeFiles/alphaspot.dir/alphaspot.c.i
.PHONY : alphaspot.c.i

alphaspot.s: alphaspot.c.s
.PHONY : alphaspot.s

# target to generate assembly for a file
alphaspot.c.s:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/alpha0ps/CMakeFiles/alphaspot.dir/build.make src/filter/alpha0ps/CMakeFiles/alphaspot.dir/alphaspot.c.s
.PHONY : alphaspot.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... alpha0ps"
	@echo "... alphagrad"
	@echo "... alphaspot"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... alpha0ps.o"
	@echo "... alpha0ps.i"
	@echo "... alpha0ps.s"
	@echo "... alphagrad.o"
	@echo "... alphagrad.i"
	@echo "... alphagrad.s"
	@echo "... alphaspot.o"
	@echo "... alphaspot.i"
	@echo "... alphaspot.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /Users/jaromil/devel/frei0r && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== src/filter/balanc0r/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /opt/local/bin/cmake

# The command to remove a file.
RM = /opt/local/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /opt/local/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /Users/jaromil/devel/frei0r

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /Users/jaromil/devel/frei0r

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/opt/local/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/opt/local/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/opt/local/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/opt/local/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/opt/local/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/opt/local/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /Users/jaromil/devel/frei0r && $(CMAKE_COMMAND) -E cmake_progress_start /Users/jaromil/devel/frei0r/CMakeFiles /Users/jaromil/devel/frei0r/src/filter/balanc0r/CMakeFiles/progress.marks
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/balanc0r/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/jaromil/devel/frei0r/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/balanc0r/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/balanc0r/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/balanc0r/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /Users/jaromil/devel/frei0r && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/filter/balanc0r/CMakeFiles/balanc0r.dir/rule:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/balanc0r/CMakeFiles/balanc0r.dir/rule
.PHONY : src/filter/balanc0r/CMakeFiles/balanc0r.dir/rule

# Convenience name for target.
balanc0r: src/filter/balanc0r/CMakeFiles/balanc0r.dir/rule
.PHONY : balanc0r

# fast build rule for target.
balanc0r/fast:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/balanc0r/CMakeFiles/balanc0r.dir/build.make src/filter/balanc0r/CMakeFiles/balanc0r.dir/build
.PHONY : balanc0r/fast

balanc0r.o: balanc0r.c.o
.PHONY : balanc0r.o

# target to build an object file
balanc0r.c.o:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/balanc0r/CMakeFiles/balanc0r.dir/build.make src/filter/balanc0r/CMakeFiles/balanc0r.dir/balanc0r.c.o
.PHONY : balanc0r.c.o

balanc0r.i: balanc0r.c.i
.PHONY : balanc0r.i

# target to preprocess a source file
balanc0r.c.i:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/balanc0r/CMakeFiles/balanc0r.dir/build.make src/filter/balanc0r/CMakeFiles/balanc0r.dir/balanc0r.c.i
.PHONY : balanc0r.c.i

balanc0r.s: balanc0r.c.s
.PHONY : balanc0r.s

# target to generate assembly for a file
balanc0r.c.s:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/balanc0r/CMakeFiles/balanc0r.dir/build.make src/filter/balanc0r/CMakeFiles/balanc0r.dir/balanc0r.c.s
.PHONY : balanc0r.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... balanc0r"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... balanc0r.o"
	@echo "... balanc0r.i"
	@echo "... balanc0r.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /Users/jaromil/devel/frei0r && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== src/filter/baltan/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /opt/local/bin/cmake

# The command to remove a file.
RM = /opt/local/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /opt/local/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /Users/jaromil/devel/frei0r

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /Users/jaromil/devel/frei0r

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/opt/local/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/opt/local/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/opt/local/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/opt/local/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/opt/local/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/opt/local/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /Users/jaromil/devel/frei0r && $(CMAKE_COMMAND) -E cmake_progress_start /Users/jaromil/devel/frei0r/CMakeFiles /Users/jaromil/devel/frei0r/src/filter/baltan/CMakeFiles/progress.marks
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/baltan/all
	$(CMAKE_COMMAND) -E cmake_progress_start /Users/jaromil/devel/frei0r/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/baltan/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/baltan/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/baltan/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /Users/jaromil/devel/frei0r && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/filter/baltan/CMakeFiles/baltan.dir/rule:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f CMakeFiles/Makefile2 src/filter/baltan/CMakeFiles/baltan.dir/rule
.PHONY : src/filter/baltan/CMakeFiles/baltan.dir/rule

# Convenience name for target.
baltan: src/filter/baltan/CMakeFiles/baltan.dir/rule
.PHONY : baltan

# fast build rule for target.
baltan/fast:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/baltan/CMakeFiles/baltan.dir/build.make src/filter/baltan/CMakeFiles/baltan.dir/build
.PHONY : baltan/fast

baltan.o: baltan.cpp.o
.PHONY : baltan.o

# target to build an object file
baltan.cpp.o:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/baltan/CMakeFiles/baltan.dir/build.make src/filter/baltan/CMakeFiles/baltan.dir/baltan.cpp.o
.PHONY : baltan.cpp.o

baltan.i: baltan.cpp.i
.PHONY : baltan.i

# target to preprocess a source file
baltan.cpp.i:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/baltan/CMakeFiles/baltan.dir/build.make src/filter/baltan/CMakeFiles/baltan.dir/baltan.cpp.i
.PHONY : baltan.cpp.i

baltan.s: baltan.cpp.s
.PHONY : baltan.s

# target to generate assembly for a file
baltan.cpp.s:
	cd /Users/jaromil/devel/frei0r && $(MAKE) -f src/filter/baltan/CMakeFiles/baltan.dir/build.make src/filter/baltan/CMakeFiles/baltan.dir/baltan.cpp.s
.PHONY : baltan.cpp.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... baltan"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... baltan.o"
	@echo "... baltan.i"
	@echo "... baltan.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /Users/jaromil/devel/frei0r && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== debian/changelog ===
frei0r (1.4-3build1) wily; urgency=medium

  * No-change rebuild against libopencv*2.4v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Aug 2015 11:31:40 +0200

frei0r (1.4-3) unstable; urgency=medium

  * Fixed homepage field (frei0r is now hosted on dyne.org)
  * Updated debian/control
    + This actually enables the "Suggests: opencv-data"
      promised in the last upload
  * Updated debian/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 28 May 2014 10:19:29 +0200

frei0r (1.4-2) unstable; urgency=medium

  * Suggests: opencv-data (Closes: #587736, LP: #459940)
  * Upload to unstable (LP: #1186039)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 27 May 2014 15:48:29 +0200

frei0r (1.4-1) experimental; urgency=medium

  [ upstream ]
  * New upstream release.
    + Fixes several major bugs in existing plugins
    + New filters
    + New mixers

  [ IOhannes m zmölnig ]
  * Imported Upstream version 1.4
  * Build-depend on libcairo2-dev
  * Removed patches applied upstream
  * Added some bug-fix patches cherry-picked from upstream VCS
  * Fixed installation target for docs
  * Fixed spelling errors
  * Regenerate autobuild/make files
  * debian/source
    + Unapply patches after build
    + Abort on upstream changes
  * debian/copyright
    + Converted debian/copyright to machine-readable format
  * debian/control(.in)
    + Canonical Vcs-* stanza
    + Removed duplicate "Section:" field
    + Use Breaks:frei0r rather than Conflicts:frei0r
    + Use CDBS-style debian/control.in
    + Enabled licensecheck
    + Added myself to Uploaders
  * Updated to new upstream location (dyne.org)
    + debian/watch
    + get-orig-source target
  * Added lintian-overrides
  * Bumped standards-version to 3.9.5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 21 May 2014 11:03:42 +0200

frei0r (1.3-1) experimental; urgency=low

  [ upstream ]
  * New upstream release.
    Hightlights since last packaging release:
    + New filters:
      - alpha0ps (alpha0ps, alphagrad, alphaspot)
      - c0rners
      - coloradj
      - d90stairsteppingfix
      - defish0r
      - denoise (hqdn3d)
      - facebl0r
      - lightgraffiti
      - measure (Pr0be, Pr0file)
      - select0r
      - sharpness
      - sopsat
    + New generators:
      - test_pat (broadcast test patterns)
    * New mixer:
      - addition_alpha
    + Better documentation.
    + Better examples for writing code that makes use of thed opencv
      library.

  [ Jonas Smedegaard ]
  * Friendly takeover, on behalf of the Debian Multimedia Maintainers.
    + Update Maintainer, Uploader and Vcs-* control fields.
    Thanks for your past contributions, Luca Bigliardi.
  * Add git-buildpackage config, enabling signed tags and pristine-tar,
    and filtering out upstream .gitignore file. Drop earlier odd config
    in root dir.
  * Drop obsolete DM-Upload-Allowed control field.
  * Soft-include CDBS upstream-tarball.mk snippet, to provide
    get-orig-source target.
  * Add watch file.
  * Relax to build-depend unversioned on debhelper and libgavl-dev:
    Needed versions satisfied in stable, and oldstable no longer
    supported.
  * Add a bunch of bug-fix patches cherry-picked from upstream VCS.
  * Build-depend on autotools-dev (and not libtool, automake or
    autoconf), and drop sloppy autoreconf introduced in
    1.1.22git20091109-1.2.
  * Build-depend on dh-buildinfo, to help debug independently from
    central Debian resources.
  * Bump debhelper compatibility level to 8.
  * Bump standards-version to 3.9.4.
  * Git-ignore quilt .pc dir.
  * Use source format 3.0 (quilt).
  * Build-depend on libopencv-dev (and not libcv-dev, libcvaux-dev or
    libhighgui-dev).
  * Build-depend on doxygen, and build html documentation.
  * Fix install docs below /usr/share (not /usr/share/doc).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Dec 2012 03:14:28 +0100

frei0r (1.1.22git20091109-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: filter/facedetect/facedetect.c:231:36: error: too few
    arguments to function 'cvHaarDetectObjects'" Supply minimum and
    maximum sizes to mimic previous single size requirement.
    (Closes: #652759)

 -- Neil Williams <codehelp@debian.org>  Sat, 03 Mar 2012 11:17:14 +0000

frei0r (1.1.22git20091109-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build against current libcv which changes the soname (Closes: #590925)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 05 Aug 2010 20:29:50 -0400

frei0r (1.1.22git20091109-1) unstable; urgency=low

  * New import from upstream.
  * Increase standard version to 3.8.3.
  * Temporary depend on libcvaux-dev and libhighgui-dev for a bug in opencv
    (Closes: #560546).

 -- Luca Bigliardi <shammash@artha.org>  Fri, 15 Jan 2010 17:18:18 +0100

frei0r (1.1.22git20090409-2) unstable; urgency=low

  * Conflict with unofficial package frei0r (Closes: #526634).

 -- Luca Bigliardi <shammash@artha.org>  Mon, 01 Jun 2009 11:37:06 +0200

frei0r (1.1.22git20090409-1) unstable; urgency=low

  * Sync with upstream git to add pkg-config file.

 -- Luca Bigliardi <shammash@artha.org>  Thu, 09 Apr 2009 17:39:36 +0200

frei0r (1.1.22git20090209-1) unstable; urgency=low

  * First official debian package (Closes: #514639).
  * Import some fixes from upstream.
  * Switch to cdbs.
  * Build-depend on pkg-config.
  * Use installed documentation.
  * Remove watch file (source code in git repository).
  * Rename source package in frei0r.
  * Rename plugins binary package in frei0r-plugins.
  * Rename libfrei0r-* in frei0r-plugins-*.

 -- Luca Bigliardi <shammash@artha.org>  Thu, 26 Feb 2009 15:03:02 +0100

frei0r-plugins (1.1.22-0.2) unstable; urgency=low

  * Rebuild against the latest libgavl-dev 1.1.0

 -- Christian Marillat <marillat@debian.org>  Mon, 02 Feb 2009 12:21:15 +0100

frei0r-plugins (1.1.22-0.1) unstable; urgency=low

  * Update watch file.
  * Build against the latest libgavl-dev 1.0.1



=== debian/control ===
Source: frei0r
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/frei0r
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/frei0r.git
Homepage: http://frei0r.dyne.org/
Build-Depends: pkg-config,
 libgavl-dev,
 libcairo2-dev,
 libopencv-dev,
 cdbs,
 autotools-dev,
 debhelper,
 dh-buildinfo,
 dh-autoreconf,
 devscripts
Build-Depends-Indep: doxygen
Standards-Version: 3.9.5

Package: frei0r-plugins
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: opencv-data
Breaks: frei0r (<= 1.1.22)
Replaces: frei0r
Description: minimalistic plugin API for video effects, plugins collection
 frei0r is a minimalistic plugin API for video sources and filters. The
 behavior of the effects can be controlled from the host by simple
 parameters. The intent is to solve the recurring reimplementation or
 adaptation issue of standard effects. It is not meant as a generic API
 for all kinds of video applications.
 .
 frei0r plugins are used by several projects (e.g.: LiVES, Veejay, Open
 Movie Editor, FreeJ, Pure Data Visual Junk Tools, MLT framework).
 .
 This package contains a collection of plugins.

Package: frei0r-plugins-dev
Section: devel
Architecture: any
Depends: ${misc:Depends}
Breaks: frei0r-dev (<= 1.1.22)
Replaces: frei0r-dev
Description: minimalistic plugin API for video effects, header files
 frei0r is a minimalistic plugin API for video sources and filters. The
 behavior of the effects can be controlled from the host by simple
 parameters. The intent is to solve the recurring reimplementation or
 adaptation issue of standard effects. It is not meant as a generic API
 for all kinds of video applications.
 .
 frei0r plugins are used by several projects (e.g.: LiVES, Veejay, Open
 Movie Editor, FreeJ, Pure Data Visual Junk Tools, MLT framework).
 .
 This package contains the header needed to enable frei0r in other
 package at build time.

Package: frei0r-plugins-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Breaks: frei0r-doc (<= 1.1.22)
Replaces: frei0r-doc
Description: minimalistic plugin API for video effects, API documentation
 frei0r is a minimalistic plugin API for video sources and filters. The
 behavior of the effects can be controlled from the host by simple
 parameters. The intent is to solve the recurring reimplementation or
 adaptation issue of standard effects. It is not meant as a generic API
 for all kinds of video applications.
 .
 frei0r plugins are used by several projects (e.g.: LiVES, Veejay, Open
 Movie Editor, FreeJ, Pure Data Visual Junk Tools, MLT framework).
 .
 This package contains the API documentation.

=== debian/watch ===
# Use uscan to check for newer upstream releases
version=3
https://releases.dyne.org/frei0r/releases/.*-([\d+\.a-z]+|\d+).tar.gz
